Subject: Re: [rbridge] TRILL MIB

From: Anil Rijhsinghani <[email-masked]>
Date: Mon, 1 Feb 2010 9:45:58 -0500

Hi Kate,

Thanks for your response.

> - TRILL version supported
> KZ-sounds good, should we have MIB version as well?

MIB version is typically not an object in standard MIBs, as the meaning of existing objects shouldn't change once published in a standard. However existing groups can be deprecated, and new ones added, in which case the object identifiers returned tell you what is supported.

> - Port state new: Inhibited
> KZ- oops, I was suppose to add this after a long port state
> discussion, it looks like I left it off.  I will forward an email on
> this topic I got from Donald that you might find helpful.

Thanks for sending on that exchange, it was very helpful.

> - Inhibition time
> KZ - is this different from the aging time?

Yes - aging time is how long to keep MAC addresses alive in the filtering database, while inhibition time says how long to prevent the port from forwarding because of a suspected loop, e.g after you receive a BPDU indicating a spanning tree root change, or if you believe you are appointed VLAN-x forwarder but hear another Rbridge claim to be VLAN-x forwarder.

> I haven't studied the IS-IS MIB (RFC4444) to find exactly what
> portions of it are fully applicable to TRILL; what isn't; and what
> needs to supplemented. I'd suggest that Kate, or someone else familiar
> with the IS-IS protocol and MIB, look into that piece if possible.
> KZ- I tried to address this issue in section 6.3 where I reviewed the
> IS-IS MIB and detailed what I thought was required and how it
> needed to be modified.

I did see that, and believe there may possibly be some additional objects needed based on extension of IS-IS in TRILL (e.g, new IS-IS PDUs, VLAN scoping, pseudonode suppression.) However an IS-IS guru may be able to say which of these could be squeezed into existing RFC4444 definitions, which may save us some work.

Regards,
Anil

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge